/// @author  Vesa Lappalainen, Antti-Jussi Lakanen
/// @version 2025
///
/// <summary>
/// Tulostetaan ne kokonaisluvut [0..1000],
/// joiden neliöjuuri on kokonaisluku.
/// Tutkitaan ensin miltä tilanne näyttää.  Esimerkistä näemme
/// että tulostamalla peräkäisten kokonaislukujen neliöt, saamme haluamme luvut.
/// <code>
///   n     sqrt(n)  tulostettava   i
/// ===================================
///    0    0.000     0             0
///    1    1.000     1             1
///    2    1.414
///    3    1.732
///    4    2.000     4             2
///    5    2.236
///    6    2.449
///    7    2.646
///    8    2.828
///    9    3.000     9             3
///   10    3.162
///     ...
///   16    4.000    16             4
///     ...
///   25    5.000    25             5
///     ...
///  961   31.000   961            31
///     ...
/// 1000   31.623
///     ...
/// 1024   32.000
/// </code>
/// </summary>
public class Neliojuuri
{
    /// <summary>
    /// Tulostetaan ne kokonaisluvut, joiden neliöjuuri on kokonaisluku.
    /// Saadaan tulostamalle peräkkäisten kokonaislukujen neliöt.
    /// </summary>
    /// <param name="args">Ei käytössä.</param>
    public static void Main(string[] args)
    {
        for (int i = 0; i * i <= 1000; i++)

            // int i = 0;
            // while (i * i <= 1000)
        {
            System.Console.WriteLine("sqrt(" + i * i + ") = " + i);
            // i++;
        }
    }
}