﻿using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// 
/// <summary>
/// Demo 3, tehtävä 5.
/// Ohjelmassa harjoitellaan aritmeettisten lausekkeiden käyttöä.
/// </summary>
public class T5_Lausekkeet
{
    /// <summary>
    /// Pääohjelmassa lasketaan.
    /// </summary>
    /// <param name="args">Ei käytössä.</param>
    public static void Main(string[] args)
    {
        const int VUOROKAUSI_SEKUNTEINA = 60 * 60 * 24;
        const double VUOSI_VUOROKAUSINA = 365.2422; // Trooppinen vuosi, jolloin maan akseli on samassa asennossa aurinkoon nähden. 
        const double VALONNOPEUS_METRIA_SEKUNNISSA = 299792458; // ~300 miljoonaa
        const double MAAN_ETAISYYS_AURINGOSTA_METRIA = 149597870000; // ~150 miljardia

        double tuntejaVuodessa = VUOSI_VUOROKAUSINA * 24;
        double valoAuringostaMaahanSek = MAAN_ETAISYYS_AURINGOSTA_METRIA / VALONNOPEUS_METRIA_SEKUNNISSA;
        double valovuosiMetreina = VUOROKAUSI_SEKUNTEINA * VUOSI_VUOROKAUSINA * VALONNOPEUS_METRIA_SEKUNNISSA;

        Console.WriteLine("Vuorokaudessa on " + VUOROKAUSI_SEKUNTEINA + " sekuntia.");
        Console.WriteLine("Vuodessa on " + tuntejaVuodessa + " tuntia.");
        Console.WriteLine("Valolla kestää maahan " + valoAuringostaMaahanSek + " sekuntia");
        Console.WriteLine("Valovuosi on " + valovuosiMetreina / 1000 + " kilometriä");
    }
}