using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// 
/// <summary>
/// Luvun arvauspeli.
/// </summary>
public class LuvunArvaus
{
    /// <summary>
    /// Luvun arvauspeli.
    /// </summary>
    public static void Main()
    {
        int min = 1;
        int max = 100;
        Random r = new Random();
        int arvottu = r.Next(min, max + 1);

        while (true)
        {
            Console.Write($"Arvaa luku väliltä {min}-{max} > ");
            string syote = Console.ReadLine();
            int arvaus = int.Parse(syote);
            if (arvaus > arvottu) Console.WriteLine("Liian iso!");
            if (arvaus < arvottu) Console.WriteLine("Liian pieni!");
            if (arvaus == arvottu) break;
        }

        Console.WriteLine("Oikein");
    }
}
