using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// <summary>
/// Bonus 6. Skaalaa.
/// </summary>
public class B6_Skaalaa
{
    /// <summary>
    /// Bonus 6. Skaalaa.
    /// </summary>
    public static void Main()
    {

    }

    /// <summary>
    /// Skaalaa luku väliltä [0,1] välille [a, b].
    /// </summary>
    /// <param name="x">Luku</param>
    /// <param name="a">Välin alaraja</param>
    /// <param name="b">Välin yläraja</param>
    /// <returns>Luku uudella välillä</returns>
    /// <example>
    /// <pre name="test">
    /// Skaalaa(0.2, -3, 3) ~~~ -1.8;
    /// Skaalaa(0.2, 1, 6)  ~~~ 2.0;
    /// Skaalaa(0.0, 1, 6)  ~~~ 1.0;
    /// Skaalaa(1.0, 1, 6)  ~~~ 6.0;
    /// </pre>
    /// </example>
    public static double Skaalaa(double x, double a, double b)
    {
        return a + (b - a) * x;
    }
}
