using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// <summary>
/// Demo 6, tehtävä 1.
/// </summary>
public class T1_TeeTaulukko
{
    /// <summary>
    /// Funktion kutsu.
    /// </summary>
    public static void Main()
    {
        int[] luvut1 = TeeTaulukko(5);
        int[] luvut2 = TeeTaulukko(10);
        int[] luvut3 = TeeTaulukko(0);
        int[] luvut4 = TeeTaulukko(-1);
    }

    /// <summary>
    /// Tee taulukko jossa on luvut laskevassa järjestyksessä
    /// alkaen pituudesta.
    /// </summary>
    /// <param name="pituus">Taulukon pituus.</param>
    /// <returns>Luvut</returns>
    public static int[] TeeTaulukko(int pituus)
    {
        if (pituus < 0) return new int[]{};


        int[] luvut = new int[pituus];
        for (int i = 0; i < pituus; i++)
        {
            luvut[i] = pituus - i;
        }
        return luvut;
    }
}
