// ReSharper disable all
using System;
using System.Collections.Generic;
using System.Linq;
using NUnit.Framework;
using static T1_PisinKasvava;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestT1_PisinKasvava
	{
		[Test]
		public  void TestPisinKasvava36()
		{
			int[] luvut = { 3, 3, 4, 4, 4, 0, 3, 4, 6, 6, 2 };
			Assert.AreEqual( 4, PisinKasvava(luvut) , "in method PisinKasvava, line 38");
			luvut = new int[] { 3, 3, 4, 4, 4, 0, 3, 4, 5, 6, 7 };
			Assert.AreEqual( 6, PisinKasvava(luvut) , "in method PisinKasvava, line 40");
			luvut = new int[] { };
			Assert.AreEqual( 0, PisinKasvava(luvut) , "in method PisinKasvava, line 42");
			Assert.AreEqual( 4, PisinKasvava(new int[] { 1, 1, 1, 3, 5, 10 }) , "in method PisinKasvava, line 43");
			Assert.AreEqual( 1, PisinKasvava(new int[] { 1 }) , "in method PisinKasvava, line 44");
		}
		[Test]
		public  void TestPisinKasvava271()
		{
			int[] luvut = { 3, 3, 4, 4, 4, 0, 3, 4, 6, 6, 2 };
			Assert.AreEqual( 4, PisinKasvava2(luvut) , "in method PisinKasvava2, line 73");
			luvut = new int[] { 3, 3, 4, 4, 4, 0, 3, 4, 5, 6, 7 };
			Assert.AreEqual( 6, PisinKasvava2(luvut) , "in method PisinKasvava2, line 75");
			luvut = new int[] { };
			Assert.AreEqual( 0, PisinKasvava2(luvut) , "in method PisinKasvava2, line 77");
			Assert.AreEqual( 4, PisinKasvava2(new int[] { 1, 1, 1, 3, 5, 10 }) , "in method PisinKasvava2, line 78");
			Assert.AreEqual( 1, PisinKasvava2(new int[] { 1 }) , "in method PisinKasvava2, line 79");
		}
		[Test]
		public  void TestPisinKasvava3114()
		{
			int[] luvut = { 3, 3, 4, 4, 4, 0, 3, 4, 6, 6, 2 };
			Assert.AreEqual( 4, PisinKasvava3(luvut) , "in method PisinKasvava3, line 116");
			luvut = new int[] { 3, 3, 4, 4, 4, 0, 3, 4, 5, 6, 7 };
			Assert.AreEqual( 6, PisinKasvava3(luvut) , "in method PisinKasvava3, line 118");
			luvut = new int[] { };
			Assert.AreEqual( 0, PisinKasvava3(luvut) , "in method PisinKasvava3, line 120");
			Assert.AreEqual( 4, PisinKasvava3(new int[] { 1, 1, 1, 3, 5, 10 }) , "in method PisinKasvava3, line 121");
			Assert.AreEqual( 1, PisinKasvava3(new int[] { 1 }) , "in method PisinKasvava3, line 122");
		}
		[Test]
		public  void TestPisinKasvava4165()
		{
			int[] luvut = { 3, 3, 4, 4, 4, 0, 3, 4, 6, 6, 2 };
			Assert.AreEqual( 4, PisinKasvava4(luvut) , "in method PisinKasvava4, line 167");
			luvut = new int[] { 3, 3, 4, 4, 4, 0, 3, 4, 5, 6, 7 };
			Assert.AreEqual( 6, PisinKasvava4(luvut) , "in method PisinKasvava4, line 169");
			luvut = new int[] { };
			Assert.AreEqual( 0, PisinKasvava4(luvut) , "in method PisinKasvava4, line 171");
			Assert.AreEqual( 4, PisinKasvava4(new int[] { 1, 1, 1, 3, 5, 10 }) , "in method PisinKasvava4, line 172");
			Assert.AreEqual( 1, PisinKasvava4(new int[] { 1 }) , "in method PisinKasvava4, line 173");
		}
	}

