using System;
using System.Collections.Generic;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Widgets;

namespace Muotoja;

/// @author Antti-Jussi
/// @version 18.01.2025
/// <summary>
/// Muotoja
/// </summary>
public class Muotoja : PhysicsGame
{
    /// <summary>
    /// Muotoja
    /// </summary>
    public override void Begin()
    {
        GameObject ala = new GameObject(200, 200, Shape.Rectangle);
        Add(ala);
        ala.Color = Color.Green;
        ala.X = 0;
        ala.Y = 0;

        GameObject keski = new GameObject(ala.Width, ala.Height, Shape.Triangle);
        keski.Color = Color.Yellow;
        keski.X = ala.X;
        keski.Y = ala.Y + ala.Height / 2 + keski.Height / 2;
        Add(keski);

        GameObject yla = new GameObject(ala.Width, ala.Height, Shape.Circle);
        yla.X = ala.X;
        yla.Y = keski.Y + keski.Height / 2 + yla.Height / 2;
        yla.Color = Color.Red;
        Add(yla);

        Camera.ZoomToAllObjects(100);
        
        PhoneBackButton.Listen(ConfirmExit, "Lopeta peli");
        Keyboard.Listen(Key.Escape, ButtonState.Pressed, ConfirmExit, "Lopeta peli");
    }
}