using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// 
/// <summary>
/// Yhdistellään merkkijonoja
/// </summary>
public class T2_MerkkijonojenYhdistely
{
    /// <summary>
    /// Alustetaan muuttujat, luetaan syöte, tulostetaan merkkijonot.
    /// </summary>
    public static void Main()
    {
        // Kysymys (a)
        string nimi = "Lakanen Antti-Jussi";
        string kayttajaNro = "223";

        // Ns. muotoilujono käytetään kirjoittamalla dollarimerkki alkuun,
        // jolloin merkkijonoon voidaan sisällyttää myös muuttujien arvoja. 
        Console.WriteLine($"Moi {nimi}! TIM-käyttäjänumerosi on {kayttajaNro}.");
        // Tulostuksen voi tehdä myös näin.
        Console.WriteLine("Moi " + nimi + "! TIM-käyttäjänumerosi on " + kayttajaNro + ".");

        // Kysymys (b)
        Console.Write("Anna nimesi > ");
        // Nimi-muuttuja on esitelty jo ylempänä, joten sijoitetaan tässä siihen uusi arvo. 
        nimi = Console.ReadLine();
        Console.Write("Anna lempiruokasi > ");
        string ruoka = Console.ReadLine();
        Console.WriteLine($"Moi {nimi}! {ruoka} on minunkin lempiruokaani!");
    }
}