﻿using System;

/// @author  Antti-Jussi Lakanen, Vesa Lappalainen
/// @version 2025
///
/// <summary>
/// Demo 4, tehtävä 4.
/// Ohjelmassa kysytään käyttäjältä lause ja vaihdetaan 
/// kirjaimia toisiksi.
/// </summary>
public class KirjaintenMuutos
{
    /// <summary>
    /// Pyydetään käyttäjältä lause ja kutsutaan aliohjelmaa,
    /// joka muuttaa merkit. Lopuksi tulostetaan.
    /// </summary>
    public static void Main()
    {
        Console.WriteLine("Toistan mitä sanot, mutta en osaa sanoa l:ää!");
        Console.Write("Anna teksti  > ");
        string lause = Console.ReadLine();
        string muutettulause = MuutaKirjaimet(lause);
        Console.WriteLine($"Sanoit siis: {muutettulause}");
    }


    /// <summary>
    /// Aliohjelmassa korvataan annetun 
    /// merkkijonon kaikki r ja R kirjaimet 
    /// kirjaimilla l ja L.
    /// </summary>
    /// <param name="jono">Muutettava merkkijono</param>
    /// <returns>Muutettu jono</returns>
    /// <example>
    /// <pre name="test">
    /// MuutaKirjaimet("ralliauto ajaa superkovaa.") === "lalliauto ajaa supelkovaa."
    /// MuutaKirjaimet("Ralli-Kimi laulaa rokkia") === "Lalli-Kimi laulaa lokkia"
    /// MuutaKirjaimet("Kissa istuu puussa") === "Kissa istuu puussa"
    /// </pre>
    /// </example>
    public static string MuutaKirjaimet(string jono)
    {
        string muutettulause = jono.Replace('r', 'l');
        muutettulause = muutettulause.Replace('R', 'L');
        return muutettulause;
    }
}
