using System;

/// @author anlakane
/// @version 2025
/// <summary>
/// Demo 6, tehtävä 6.
/// Etäisyys 2D:ssä
/// </summary>
public class T5_Etaisyys2D
{
    /// <summary>
    /// Tyhjä.
    /// </summary>
    public static void Main()
    {

    }

    /// <summary>
    /// Lasketaan kehden reaalilukupisteen välinen etäisyys 
    /// käyttäen Pythagoraan kaavaa.
    /// </summary> 
    /// <param name="x1">1. pisteen x</param>
    /// <param name="y1">1. pisteen y</param>
    /// <param name="x2">2. pisteen x</param>
    /// <param name="y2">2. pisteen y</param>
    /// <returns>pisteiden välinen etäisyys</returns>
    /// <example>
    /// <pre name="test">
    /// Etaisyys(0,0,3,4) ~~~ 5.0;
    /// Etaisyys(1,2,4,6) ~~~ 5.0;
    /// Etaisyys(0,0,0,0) ~~~ 0.0;
    /// Etaisyys(0,0,1,0) ~~~ 1.0;
    /// Etaisyys(0,0,1,1) ~~~ Math.Sqrt(2);
    /// </pre>
    /// </example>
    public static double Etaisyys(double x1, double y1, double x2, double y2)
    {
        double dx = x1 - x2;
        double dy = y1 - y2;
        return Math.Sqrt(dx * dx + dy * dy);
    }
}