# Ohjelmointi 1 (2025 kevät), malliratkaisut

Tämä tietovarasto ("repo") sisältää demojen malliratkaisut keväälle 2025. Malliratkaisuja on saatettu täydentää demotilaisuudessa esitettyjen malliratkaisujen jälkeen esimerkiksi dokumentaatioiden osalta.

## Kuinka aloitan

Avaa komentorivi, kuten Git Bash, Pääte tai vastaava. Tee tietokoneellesi uusi kansio, johon haluat tämän tietovaraston ladata. Käytä kansion luomiseen `mkdir`-komentoa. Siirry sitten tuohon kansioon käyttäen `cd`-komentoja.

Anna sitten komento

```
git clone https://gitlab.jyu.fi/tie/ohj1/2025k/malliratkaisut.git .
```

## Uusien ratkaisujen lataaminen

Opintojakson edetessä opettaja lähettää lisää koodia tähän varastoon. Saat uudet ratkaisut itsellesi antamalla kansion juuressa komennon

```
git pull
```

Mikäli olet itse tehnyt muutoksia mallikoodeihin, ja opettaja on muokannut samoja tiedostoja, on mahdollista, että Git-ympäristö tuottaa konfliktin. Jos haluat ylikirjoittaa omat muutoksesi opettajan tekemillä muutoksilla (ts. sinun tekemäsi muutokset tuhotaan) anna seuraavat kaksi komentoa.

```
git fetch --all
git reset --hard origin/master
```

**Varoitus**: Näiden komentojen seurauksena kaikki tähän varastoon tekemäsi muutokset tuhotaan. Mikäli olet tehnyt muutoksia, ota tiedostoista varmuuskopio.

## Demotilaisuuksien taltioinnit

Taltiointeja pääset seuraamaan [kurssin Youtube-kanavalla](https://www.youtube.com/@ohjelmointi-jyu).
